Skip to main content
GET
/
gmail-connections
/
{id}
Get a Gmail connection
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/gmail-connections/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "emailAddress": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "lastSyncedAt": "2023-11-07T05:31:56Z",
  "backfilledSince": "2023-11-07T05:31:56Z",
  "backfilledUntil": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
required
emailAddress
string
required
status
enum<string>
required
Available options:
Connected,
NeedsReauth,
Revoked,
Backfilling,
Pending
createdAt
string<date-time>
required
lastSyncedAt
null | string<date-time>
backfilledSince
null | string<date-time>
backfilledUntil
null | string<date-time>